package test.tree

import grails.plugin.cache.CacheEvict
import grails.plugin.cache.Cacheable
import grails.transaction.Transactional
import org.springframework.cache.annotation.Caching

@Transactional
class TestService {


    @Cacheable(value = "testCache", key='#id')
    def getFormCache(Long id, text) {
        text
    }

    @CacheEvict(value = "testCache", key='#id')
    def removeFromCache(Long id){

    }

    @Caching(evict = [
            @org.springframework.cache.annotation.CacheEvict(value = "secondTestCache", allEntries = true),
            @org.springframework.cache.annotation.CacheEvict(value = "testCache", key = '#id'),
    ])
    def removeFromAllCaches(Long id){

    }
}
